﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using CCPM.Data;

namespace CCPM.Contract
{
    public partial class FundSourceSelection : Form
    {
        public ActiveContractLog MyParentForm;
        public Contracts MyParentForm1;
        public int FundingSource
        {
            get { return Convert.ToInt32(cmbFundingSource.SelectedValue); }
        }
        public FundSourceSelection(int ContractId)
        {
            InitializeComponent();
            this.Location = new Point(0, 0);
            DataSet ds = ContractData.GetContractFundingSource(ContractId);
            cmbFundingSource.DataSource = ds.Tables[0];
            cmbFundingSource.DisplayMember = "FundingItem";
            cmbFundingSource.ValueMember = "FundID";
        }

        private void FundSourceSelection_Load(object sender, EventArgs e)
        {

        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            if (cmbFundingSource.Text != string.Empty)
            {
                DialogResult = DialogResult.OK;
                this.Close();
            }
            else
            {
                MessageBox.Show("Please select a fund source !!", "Data Entry Error", MessageBoxButtons.OK);
            }
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
