﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using CCPM.Data;
using Microsoft.ApplicationBlocks.Data;

namespace CCPM.Contract
{
    public partial class ProjectPicker : Form
    {
        public string projectId
        {
             get { return cmbProjectNumber.Value.ToString(); }
        }
        
        public ProjectPicker()
        {
           InitializeComponent();
           this.Location = new Point(0, 0);
            System.Data.DataSet ds = CCPM.Data.ProjectData.GetProjectList(4);
            cmbProjectNumber.DataSource = null;
            //cmbProjectNumber.Items.Clear();
            cmbProjectNumber.DataSource = ds.Tables[1];
            cmbProjectNumber.DisplayLayout.Bands[0].Columns[0].Hidden = true;
            cmbProjectNumber.DisplayMember = "FileNumber";
            cmbProjectNumber.ValueMember = "ProjectId";
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            //string projectId = cmbProjectNumber.Value.ToString();
            //ContractDetail cd = new ContractDetail(projectId);   
            //this.Close();
            //cd.Show();
            if (cmbProjectNumber.Text == "")
            {
                MessageBox.Show("Please select a project number !!", "Data Entry Error", MessageBoxButtons.OK);
            }
            else
            {
                DbConnection dbConnection = DbConnection.GetDbConnection();
                string connectionString = dbConnection.DbConnectionString;
                DataSet ds = SqlHelper.ExecuteDataset(connectionString, CommandType.Text, "select ProjectId from Project where FileNumber = '" + cmbProjectNumber.Text.ToString() + "'");
                if (ds.Tables[0].Rows.Count > 0)
                {
                    //DialogResult = DialogResult.OK;
                    Form1 fm = (Form1)this.MdiParent;
                    DataRow dr = ds.Tables[0].Rows[0];
                    string projectId = Convert.ToString(dr[0]);
                    ContractDetail cd = new ContractDetail(projectId);//cmbProjectNumber.Value.ToString());
                    cd.MdiParent = fm;
                    this.Close();
                    fm.OpenForm(cd, "Contract Detail: " + projectId.ToString());
                }
                else
                {
                    MessageBox.Show("Project Number doesn't exist !!", "Data Entry Error", MessageBoxButtons.OK);
                }
            }
            
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        
        private void cmbProjectNumber_ValueChanged(object sender, EventArgs e)
        {
            //cmbProjectNumber.Textbox.Select(0, 0);
        }

        private void TextBoxNumeric(TextBox txt)
        {
            string patern = @"[^0-9\.]*";
            txt.Text = System.Text.RegularExpressions.Regex.Replace(txt.Text, patern, string.Empty);
        }
    }
}
