USE [CCPM]
GO
/****** Object:  StoredProcedure [dbo].[ProjectCountyDupCheck]    Script Date: 12/05/2007 11:29:29 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE    PROCEDURE [dbo].[ProjectCountyDupCheck]
/*---------------------------------------------------------------------------------------------------------------------------------------------------------------
              Author: Andy Searls
        Project Name: CCPM
      Procedure Name: ProjectCountyDupCheck
             Purpose: Check for duplicate City name on insert or update
-----------------------------------------------------------------------------------------------------------------------------------------------------------------
Remarks: 
20071205 ADS Initial Code
------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
(
	 @CountyID int = 0
	,@CountyName varchar(100)
)
AS
	IF @CountyID = 0 BEGIN
		 -- check for dups on Add
		 SELECT COUNT(*) FROM [ProjectCounty] WHERE [CountyName] = @CountyName
	END ELSE BEGIN
		 -- check for dups on Edit
		 SELECT COUNT(*) FROM [ProjectCounty] WHERE [CountyName] = @CountyName AND [CountyId] <> @CountyID
	END
