USE [CCPM]
GO
/****** Object:  StoredProcedure [dbo].[ContactTypeByProject]    Script Date: 11/05/2007 11:41:51 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE      PROCEDURE [dbo].[ContactTypeByProject]
@ProjectId int,
@ContactTypeId int
AS
SELECT C.*
, COALESCE(O.OrganizationType, '') AS OrganizationType
, Org.Organization AS ContactOrg
, C.ContactFName + ' ' + C.ContactLName FullName
, RemoveContact = 'Remove'
FROM Contact C 
  INNER JOIN Organization Org ON c.OrgID = Org.OrgID 
  INNER JOIN OrganizationType O ON Org.OrganizationTypeId = O.OrganizationTypeId
--INNER JOIN Project_Contact PC  ON C.ContactId = PC.ContactId
--WHERE PC.ProjectId = @ProjectId
WHERE C.ContactId IN(SELECT DISTINCT ContactId FROM Contact_ContactType WHERE ProjectId = @ProjectId and ContactTypeId = @ContactTypeId)
ORDER BY ContactLName
GO