using System;
using System.Text;
using Encryption;
using System.Configuration;

namespace CCPM.Data
{
	/// <summary>
	/// Summary description for DbConnection.
	/// </summary>
	public class DbConnection
	{
		private static DbConnection dbConnection = null;
		private static string dbConnString;
		//private static string somestring;

		protected DbConnection(){}

		public string DbConnectionString
		{
			get{return dbConnString;}
			set{dbConnString = value;}
		}

		public static DbConnection GetDbConnection()
		{
			if(dbConnection == null)
			{
				dbConnection = new DbConnection();
				/// MAR 2005-01-21 - commented out - replace with non-encryped string

                if (GlobalSettings.IsTestDB)
                {
                    dbConnString = GlobalSettings.TestConnectionString;//ConfigurationSettings.AppSettings["TestConnectionString"];
                }
                else
                {
                    dbConnString = GlobalSettings.ConnectionStringCCPM3;//ConfigurationSettings.AppSettings["connectionString"];
                }
				///				Decryptor decryptor = new Decryptor(EncryptionAlgorithm.DES);
				///				byte[] IV = Convert.FromBase64String("jp83ZqU1TzA=");
				///				byte[] key = Convert.FromBase64String("9ZYErQgsuXQ=");
				///				byte[] encryptedData = Convert.FromBase64String(ConfigurationSettings.AppSettings["ConnectionString"]); 
				///				decryptor.IV = IV;
				///				byte[] decryptedData = decryptor.Decrypt(encryptedData, key);
				///				dbConnString = Encoding.ASCII.GetString(decryptedData);			
			}

			return dbConnection;
		}
		
	}
}
