using System;
using System.Configuration;
using System.Data.SqlClient;
using System.Data;
using Microsoft.ApplicationBlocks.Data;

namespace CCPM.Data
{
	public class FundingData
	{
		
        private static string connectionString
        {
            get { return GlobalSettings.ConnectionString; }
        }

        static FundingData()
		{

        }

		public static DataSet GetAuthorizationsByProject(int projectId)
		{
			return SqlHelper.ExecuteDataset(connectionString, "AuthorizationsByProject", projectId);
		}
		public static DataSet GetMatchingFundByProject(int projectId)
		{
			return SqlHelper.ExecuteDataset(connectionString, "MatchingFundByProject", projectId);
		}
		public static void AuthorizationInsert(int projectId, int authTypeId, Int16 authYear, string authMonth, string dollarAmount, string notes)
		{
			SqlHelper.ExecuteNonQuery(connectionString, "AuthorizationInsert", projectId, authTypeId, authYear, authMonth, dollarAmount, notes);
		}
		public static void AuthorizationUpdate(int authorizationId, int authorizationTypeId, Int16 authYear, string authMonth, string notes, string amount)
		{
			SqlHelper.ExecuteNonQuery(connectionString, "AuthorizationUpdate", authorizationId, authorizationTypeId, authYear, authMonth, notes, amount);
		}
		public static DataSet AuthorizationById(int authorizationId)
		{
			return SqlHelper.ExecuteDataset(connectionString, "AuthorizationById", authorizationId);
		}
		public static void AuthorizationDelete(int authorizationId)
		{
			SqlHelper.ExecuteNonQuery(connectionString, "AuthorizationDelete", authorizationId);
		}
		public static void MatchingFundInsert(int projectId, int contactId, string amount)
		{
			SqlHelper.ExecuteNonQuery(connectionString, "MatchingFundInsert", projectId, contactId, amount);
		}
		public static DataSet MatchingFundById(int matchingFundId)
		{
			return SqlHelper.ExecuteDataset(connectionString, "MatchingFundById", matchingFundId);
		}
		public static void MatchingFundUpdate(int matchingFundId, int contactId, string money)
		{
			SqlHelper.ExecuteNonQuery(connectionString, "MatchingFundEdit", matchingFundId, contactId, money);
		}
		public static void MatchingFundDelete(int matchingFundId)
		{
			SqlHelper.ExecuteNonQuery(connectionString, "MatchingFundDelete", matchingFundId);
		}
		public static DataSet FundingTotals(int projectId)
		{
			return SqlHelper.ExecuteDataset(connectionString, "FundingTotals", projectId);
		}

	}
}
