﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.Reporting.WinForms;


namespace CCPM.Report
{
    public partial class Project_Report : Form
    {
        public Project_Report()
        {
            InitializeComponent();
        }

        private void Project_Report_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'cCPMTESTProjectReport.vwProject1' table. You can move, or remove it, as needed.
            this.vwProject1TableAdapter.Connection.ConnectionString = GlobalSettings.ConnectionString;
            this.vwProjectAuthorizationsResevationsTableAdapter.Connection.ConnectionString = GlobalSettings.ConnectionString;
            try
            {
                this.vwProject1TableAdapter.FillBy(this.cCPMTESTProjectReport.vwProject1, GlobalSettings.projectId);
                this.vwProjectAuthorizationsResevationsTableAdapter.Fill(this.cCPMTESTProjectReport.vwProjectAuthorizationsResevations, GlobalSettings.projectId);
                
                this.reportViewer1.LocalReport.Refresh();

            }
            catch (Exception)
            {
                try
                {
                    System.Threading.Thread.Sleep(1000);
                  
                    this.vwProject1TableAdapter.FillBy(this.cCPMTESTProjectReport.vwProject1, GlobalSettings.projectId);
                    this.vwProjectAuthorizationsResevationsTableAdapter.Fill(this.cCPMTESTProjectReport.vwProjectAuthorizationsResevations, GlobalSettings.projectId);
                    
                    this.reportViewer1.LocalReport.Refresh();

                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message,"Report Failure!");
                }
            }
            this.reportViewer1.RefreshReport();
        }

        private void reportViewer1_Load(object sender, EventArgs e)
        {

        }


    }
}
