﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CCPM.Contact
{
    public partial class ContactAddress : Form
    {
        public string address
        {
            get { return txtAddress.Text; }
        }
        public string city
        {
            get { return txtCity.Text; }
        }
        public string state
        {
            get { return txtState.Text;}
        }
        public string zip
        {
            get { return txtZip.Text; }
        }

        public ContactAddress()
        {
            InitializeComponent();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            bool blnDataDirty = false;
            if (txtAddress.Text == string.Empty)
            {
                MessageBox.Show("Please enter address !!", "Data Entry Error", MessageBoxButtons.OK);
                blnDataDirty = true;
            }
            else if (txtCity.Text == string.Empty)
            {
                MessageBox.Show("Please enter city !!", "Data Entry Error", MessageBoxButtons.OK);
                blnDataDirty = true;
            }
            else if (txtState.Text == string.Empty)
            {
                MessageBox.Show("Please enter state !!", "Data Entry Error", MessageBoxButtons.OK);
                blnDataDirty = true;
            }
            else if (txtZip.Text == string.Empty)
            {
                MessageBox.Show("Please enter zipcode !!", "Data Entry Error", MessageBoxButtons.OK);
                blnDataDirty = true;
            }

            if (blnDataDirty == false)
            {
                DialogResult = DialogResult.OK;
                this.Close();
            }
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

       
    }
}
