﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CCPM.Contract
{
    public partial class ContractFundDialogBox : Form
    {
        public ContractDetail MyParentForm;
        public bool Reduce
        {
            get { return rdoReduce.Checked; }
        }

        public bool DoNotReduce
        {
            get { return rdoDoNotReduce.Checked; }
        }

        public ContractFundDialogBox()
        {
            InitializeComponent();
            SetSecurity();
        }

        private void SetSecurity()
        {
            if (!GlobalSettings.IsAccountingManager)
            {
                //only Accounting Manager can select the second method
                rdoDoNotReduce.Enabled = false;
            }

        }


        private void btnContinue_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
