﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CCPM.Contract
{
    public partial class InvoiceReassignment : Form
    {
        private DataTable dtFundingSourceList;
        private int fundID = 0;

        public int FundIDSelected
        {
            get { return fundID; }
        }


        public DataTable DtFundingSourceList
        {
            get { return dtFundingSourceList; }
            set { dtFundingSourceList = value; }
        }

        public InvoiceReassignment()
        {
            InitializeComponent();
        }

        private void InvoiceReassignment_Load(object sender, EventArgs e)
        {
            uceFundingSources.Items.Clear();

            foreach (DataRow fundingSource in dtFundingSourceList.Rows)
            {
                uceFundingSources.Items.Add(Convert.ToInt32(fundingSource.ItemArray.GetValue(0)), fundingSource.ItemArray.GetValue(1).ToString());
            }
        }

        private void uceFundingSources_ValueChanged(object sender, EventArgs e)
        {
            if (uceFundingSources.Value != null)
            {
                fundID = Convert.ToInt32(uceFundingSources.Value);
            }
        }
    }
}
