USE [CCPM]
GO
/****** Object:  StoredProcedure [dbo].[ProjectRegionDupCheck]    Script Date: 12/05/2007 11:29:29 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE    PROCEDURE [dbo].[ProjectRegionDupCheck]
/*---------------------------------------------------------------------------------------------------------------------------------------------------------------
              Author: Andy Searls
        Project Name: CCPM
      Procedure Name: ProjectRegionDupCheck
             Purpose: Check for duplicate City name on insert or update
-----------------------------------------------------------------------------------------------------------------------------------------------------------------
Remarks: 
20071205 ADS Initial Code
------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
(
	 @RegionID int = 0
	,@RegionName varchar(100)
)
AS
	IF @RegionID = 0 BEGIN
		 -- check for dups on Add
		 SELECT COUNT(*) FROM [ProjectRegion] WHERE [Region] = @RegionName
	END ELSE BEGIN
		 -- check for dups on Edit
		 SELECT COUNT(*) FROM [ProjectRegion] WHERE [Region] = @RegionName AND [RegionId] <> @RegionID
	END
