using System;
using System.Configuration;
using System.Data.SqlClient;
using System.Data;
using Microsoft.ApplicationBlocks.Data;

namespace CCPM.Data
{
	/// <summary>
	/// Summary description for RelatedProjectData.
	/// </summary>
	public class RelatedProjectData
	{

        private static string connectionString
        {
            get { return GlobalSettings.ConnectionString; }
        }

        static RelatedProjectData()
		{
		}

		public static DataSet RelatedProjectList(int projectId)
		{
			return SqlHelper.ExecuteDataset(connectionString, "RelatedProjectList", projectId);
		}
		public static void RelatedProjectInsert(int projectId, int relatedProjectId, string notes, int type)
		{
			SqlHelper.ExecuteNonQuery(connectionString, "RelatedProjectInsert", projectId, relatedProjectId, notes, type);
		}
		public static void RelatedProjectUpdate(int recordId,int RelatedProjectId, string description, int type)
		{
            SqlHelper.ExecuteNonQuery(connectionString, "RelatedProjectUpdate", recordId, RelatedProjectId, description, type);
		}
		public static DataSet RelatedProjectById(int recordId)
		{
			return SqlHelper.ExecuteDataset(connectionString, "RelatedProjectById", recordId);
		}
		public static void RelatedProjectDelete(int recordId)
		{
			SqlHelper.ExecuteNonQuery(connectionString, "RelatedProjectDelete", recordId);
		}

        // Added

        public static void RelatedProjectDelete_new(int projectId, int relprojectId)
        {

            SqlHelper.ExecuteNonQuery(connectionString, "RelatedProjectDelete_new", projectId, relprojectId);
        }

        public static DataSet GetRelTypeSelectionList()
        {

            string sql = "SELECT RelTypeId, RelType FROM RelType where IsActive = 1";
            DataSet ds = null;
            try
            {
                ds = SqlHelper.ExecuteDataset(connectionString, CommandType.Text, sql);
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return ds;
        }

        public static DataSet GetRelatedProject(int projectId)
        {

            string sql = "SELECT RecordId, RelatedProjectId, ProjectId, Notes, RelTypeId, RelType.RelType FROM RelatedProject LEFT JOIN RelType ON RelatedProject.RelTypeId = RelType.RelTypeId where RelatedProject.RelatedProjectId = " + projectId;
            DataSet ds = null;
            try
            {
                ds = SqlHelper.ExecuteDataset(connectionString, CommandType.Text, sql);
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return ds;
        }
        public static DataSet GetProject(int projectId, int RelatedProjectId)
        {

            string sql = "SELECT p.*, rp.* FROM Project p LEFT OUTER JOIN RelatedProject rp ON p.ProjectId = rp.RelatedProjectId WHERE (rp.ProjectId = " + projectId + " and rp.RelatedProjectId = " + RelatedProjectId + ")";
            DataSet ds = null;
            try
            {
                ds = SqlHelper.ExecuteDataset(connectionString, CommandType.Text, sql);
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return ds;
        }
	}
}
