using System;
using Infragistics.Shared; 
using Infragistics.Win; 
using Infragistics.Win.UltraWinGrid; 

namespace CCPM
{
	/// <summary>
	/// Summary description for GridManager.
	/// </summary>
	public class GridManager
	{
		static GridManager()
		{
			//
			// TODO: Add constructor logic here
			//
		}
		public static void NextButtonHandler(UltraGrid gridObj)
		{
			// moves row pointer to the next line in the passed grid
			if (gridObj.Rows.Count>1)
			{
				int i = gridObj.ActiveRow.Index + 1;
				while (i <= gridObj.Rows.Count - 1) 
				{
					if (gridObj.Rows[i].Hidden != true)
					{
						gridObj.ActiveRow = gridObj.Rows[i];
						break;
					}
					else
						i++;
				}
			}
		}

		public static void PreviousButtonHandler(UltraGrid gridObj)
		{
			// moves row pointer to the previous line in the passed grid
			if (gridObj.Rows.Count>1)
			{

				int i = gridObj.ActiveRow.Index - 1;
				while (i >= 0) 
				{
					if (gridObj.Rows[i].Hidden != true)
					{
						gridObj.ActiveRow = gridObj.Rows[i];
						break;
					}
					else
						i--;
				}
			}

		}

		public static void FirstButtonHandler(UltraGrid gridObj)
		{
			// moves row pointer to the first line in the passed grid
			if (gridObj.Rows.Count>1)
			{
				gridObj.ActiveRow = gridObj.Rows[0];
				int i = 0;
				while (gridObj.Rows[i].Hidden == true)
				{
					i++;
					gridObj.ActiveRow = gridObj.Rows[i];
				}
				
			}
		}

		public static void LastButtonHandler(UltraGrid gridObj)
		{
			// moves row pointer to the last line in the passed grid
			if (gridObj.Rows.Count>1)
			{
				if (gridObj.Rows.Count>1)
				{
					int i = gridObj.Rows.Count - 1;
					gridObj.ActiveRow = gridObj.Rows[i];
					while (gridObj.Rows[i].Hidden == true)
					{
						i--;
						gridObj.ActiveRow = gridObj.Rows[i];
					}
				}
			}
		}

	}
}
