﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CCPM.Report
{
    public partial class ContractExpirationReport : Form
    {
        DateTime o1;
        DateTime o2;
        string Type = "";
        //public ContractExpirationReport(object date1, object date2, string type)
        public ContractExpirationReport(string ContractNumber)
        {
            InitializeComponent();
            Type = ContractNumber;
            ContractAlertReport();
        }

        public ContractExpirationReport(object date1, object date2, string type)
        {
            InitializeComponent();
            //Type = ContractNumber;
            o1 = Convert.ToDateTime(date1);
            o2 = Convert.ToDateTime(date2);
            Type = type;
            ContractExpirationAlertReport();

        }

        public void ContractExpirationAlertReport() // from Report tab
        {
            if (Type == "Completed")
            {
                this.vwExpirationAlertTableAdapter.Connection.ConnectionString = GlobalSettings.ConnectionString;
                this.vwExpirationAlertTableAdapter.FillBy(cCPMTESTExpirationAlert.vwExpirationAlert, o1.Date, o2.Date);
            }
            else if (Type == "Terminated")
            {
                this.vwExpirationAlertTableAdapter.Connection.ConnectionString = GlobalSettings.ConnectionString;
                this.vwExpirationAlertTableAdapter.FillBy1(cCPMTESTExpirationAlert.vwExpirationAlert, o1.Date, o2.Date);
            }
            else if (Type == "all")
            {
                this.vwExpirationAlertTableAdapter.Connection.ConnectionString = GlobalSettings.ConnectionString;
                this.vwExpirationAlertTableAdapter.FillByAll(this.cCPMTESTExpirationAlert.vwExpirationAlert);
            }
            this.reportViewer1.RefreshReport();
        }

        public void ContractAlertReport() // from Contract Details page
        {
            this.vwExpirationAlertTableAdapter.Connection.ConnectionString = GlobalSettings.ConnectionString;
            this.vwExpirationAlertTableAdapter.Fill(this.cCPMTESTExpirationAlert.vwExpirationAlert, Type);
            this.reportViewer1.RefreshReport();
        }
        
        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'cCPMTESTDataSet.ContractDetails' table. You can move, or remove it, as needed.
            //this.contractDetailsTableAdapter.Fill(this.cCPMTESTDataSet.ContractDetails);
        }

       
    }
}
