using System;
using System.Security.Principal;

namespace CCPM.User
{
	/// <summary>
	/// User object is not used at this time
	/// </summary>
	public class User
	{
		private UserRole role;
		private string username;
		private static User user = null;

		public UserRole Role
		{
			get{return role;}
			set{role = value;}
		}
		public string Username
		{
			get{return username;}
			set{username = value;}
		}

//		private User(string username, UserRole role)
//		{
//			this.Username = username;
//			this.Role = role;
//		}

		public static User GetCurrentUser()
		{
			if(user == null)
			{
				user = new User();
			}
			
			return user;
		}

	}

	public enum UserRole
	{
		Administrator = 1,
		Project_Manager,
		None
	}
		
}
